CVE-2020-12243

NameCVE-2020-12243
DescriptionIn filter.c in slapd in OpenLDAP before 2.4.50, LDAP search filters with nested boolean expressions can result in denial of service (daemon crash).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2199-1, DSA-4666-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openldap (PTS)jessie2.4.40+dfsg-1+deb8u4vulnerable
jessie (security)2.4.40+dfsg-1+deb8u6fixed
stretch2.4.44+dfsg-5+deb9u3vulnerable
stretch (security)2.4.44+dfsg-5+deb9u4fixed
buster, buster (security)2.4.47+dfsg-3+deb10u2fixed
bullseye, sid2.4.50+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openldapsource(unstable)2.4.50+dfsg-1
openldapsourcebuster2.4.47+dfsg-3+deb10u2DSA-4666-1
openldapsourcejessie2.4.40+dfsg-1+deb8u6DLA-2199-1
openldapsourcestretch2.4.44+dfsg-5+deb9u4DSA-4666-1

Notes

https://bugs.openldap.org/show_bug.cgi?id=9202
https://git.openldap.org/openldap/openldap/-/commit/d38d48fc8f572dedfb67b9da61a2ba3b125ced91 (master)
https://git.openldap.org/openldap/openldap/-/commit/98464c11df8247d6a11b52e294ba5dd4f0380440 (OPENLDAP_REL_ENG_2_4_50)

Search for package or bug name: Reporting problems